﻿@model JournalSecret.Models.Secret

@{
    ViewData["Title"] = "Editer";
}

<h1>Editer</h1>

<h4>Secret</h4>
<hr />
<div class="row">
    <div class="col-md-4">
        <form asp-action="Editer">
            <div asp-validation-summary="ModelOnly" class="text-danger"></div>
            <div class="form-group">
                <label asp-for="Id" class="control-label"></label>
                <input asp-for="Id" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Apercu" class="control-label"></label>
                <input asp-for="Apercu" class="form-control" />
            </div>
            <div class="form-group">
                <label asp-for="Description" class="control-label"></label>
                <input asp-for="Description" class="form-control" />
            </div>
            <div class="form-group form-check">
                <label class="form-check-label">
                    <input class="form-check-input" asp-for="Publique" /> @Html.DisplayNameFor(model => model.Publique)
                </label>
            </div>
            <div class="form-group">
                <label asp-for="IdUsager" class="control-label"></label>
                <input asp-for="IdUsager" class="form-control" />
            </div>
            <div class="form-group">
                <button type="submit" onclick="alert('Êtes-vous sûr de vouloir modifier votre secret @Context.Request.Query["id"]');" class="btn btn-primary">Sauvegarder</button>
            </div>
        </form>
    </div>
</div>

<div>
    <a asp-action="Liste">Annuler la modification</a>
</div>

@section Scripts {
    @{await Html.RenderPartialAsync("_ValidationScriptsPartial");}
}